package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;
import java.util.List;

/**
 * Representa los parametros del para el envio de Titulos DDA a SAP. Esta clase pertenece al ambito de DDA.
 */
public class ParamEnviaTituloDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private List<TitulosAsocContratoDTO> titulos;
	
	public List<TitulosAsocContratoDTO> getTitulos() {
		return titulos;
	}
	public void setTitulos(List<TitulosAsocContratoDTO> titulos) {
		this.titulos = titulos;
	}


	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" titulos: _" + this.getTitulos().size() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
}
